Subject: Re: bug#8402: Acknowledgement (24.0.50; Hex colors are not rendered correctly on OS X (Cocoa))

From: Steve Purcell <[email-masked]>
Date: Sun, 3 Apr 2011 22:29:10 +0100

The behavior I am seeing (and had taken to be incorrect) is possibly a result of misunderstanding Emacs' color handling, and if that's the case then please feel free to close this bug.

Specifically, it seems like the colors I *wanted* to see (and had applied as hex colors to Emacs' faces) were sRGB colors, but if I convert those sRGB colors to "Generic RGB" values in Apple's "Colorsync Utility" and then plug them into Emacs, I get the desired sRGB screen colors.

So are Emacs' RGB colors explicitly Generic RGB rather than sRGB? I'm pretty sure the answer must be "yes", and that the bug should be closed.

On 1 Apr 2011, at 12:03, Steve Purcell wrote:

> I should add that I don't see any mention of 'screen-gamma in the frame parameters, and setting different values, e.g. with the following code, has no effect.
> 
> (set-frame-parameter (selected-frame) 'screen-gamma 1.5)